Contacts_GuestServiceBusListenerAction
POST
/v1/booking/contacts/GuestServiceBusListenerAction
const url = 'https://rms.dev.caspeco.net/api/booking/v1/booking/contacts/GuestServiceBusListenerAction';const options = { method: 'POST', headers: { system: 'example', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"properties":{"action":"example","entityId":"example","entity":"example"},"message":{"containerId":"example","createdDate":"2026-04-15T12:00:00Z","emailAddress":"example","id":"example","identifier":"example","locale":"example","loyaltyEnabled":true,"msisdn":"example","name":"example","system":"example","updatedDate":"2026-04-15T12:00:00Z"},"passcode":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://rms.dev.caspeco.net/api/booking/v1/booking/contacts/GuestServiceBusListenerAction \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'system: example' \ --data '{ "properties": { "action": "example", "entityId": "example", "entity": "example" }, "message": { "containerId": "example", "createdDate": "2026-04-15T12:00:00Z", "emailAddress": "example", "id": "example", "identifier": "example", "locale": "example", "loyaltyEnabled": true, "msisdn": "example", "name": "example", "system": "example", "updatedDate": "2026-04-15T12:00:00Z" }, "passcode": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Query Parameters
Section titled “Query Parameters”passcode
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
properties
One of:
object
action
string
entityId
string
entity
string
message
One of:
object
containerId
string
createdDate
string format: date-time
emailAddress
string
id
string
identifier
string
locale
string
loyaltyEnabled
boolean
msisdn
string
name
string
system
string
updatedDate
string format: date-time
passcode
string
Examplegenerated
{ "properties": { "action": "example", "entityId": "example", "entity": "example" }, "message": { "containerId": "example", "createdDate": "2026-04-15T12:00:00Z", "emailAddress": "example", "id": "example", "identifier": "example", "locale": "example", "loyaltyEnabled": true, "msisdn": "example", "name": "example", "system": "example", "updatedDate": "2026-04-15T12:00:00Z" }, "passcode": "example"}Responses
Section titled “Responses”Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
extensions
object
key
additional properties
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "extensions": { "additionalProperty": "example" }}